<style>

    .blank-150{width: 100%; height: 150px;}

</style>



<div class="row">

    <div class="col-xs-12 col-md-12">

        <h2 align="center" id="texto-acao">1. Primeiro passo</h2>

        <hr>

        <h4 align="center" id="texto-descricao">Digite o seu email</h4>



        <div class="row">

            <div class="col-md-4"></div>

            <div class="col-md-4">

                <div class="alert alert-danger alert-dismissible" id="email-invalido" role="alert">Voc&ecirc; precisa digitar um email v&aacute;lido</div>

            </div>

            <div class="col-md-4"></div>

        </div>



        <div class="row">

            <div class="col-md-4"></div>

            <div class="col-md-4" id="area-cadastro" style="background: #BFBFBF; padding:26px;">



                <br />

                <div id="area-interno-cad">
                    <?php echo validation_errors(); ?>


                    <form action="<?= base_url("site/cadastrar") ?>" method="post" id="frmCadastrar">

                        <div class="form-group" id="campoNome">

                            <input value="<?php echo set_value('nome'); ?>" name="nome" type="text" class="form-control" id="Nome" min="6" required max="46" onkeypress="$(this).css('text-transform', 'uppercase')" placeholder="Digite o seu Nome">

                        </div>

                        <div class="form-group">

                            <input name="email" type="email" class="form-control" min="6" max="80" required value="<?php echo set_value('email'); ?>" id="Email" placeholder="Digite o seu Email" autocomplete="off">

                        </div>

                        <div class="form-group" id="campoSenha">

                            <input name="senha" type="password" class="form-control" id="Senha" required min="6" max="22" required placeholder="Crie a sua senha de acesso">

                        </div>

                        <div class="checkbox" id="campoTermo">

                            <label>

                                <input type="checkbox" required=""> Aceito os <a href="<?=base_url('uploads/CONTRATODEADESAO6.pdf')?>" target="_blank">termos de uso</a>

                            </label>

                        </div>



                        <input type="submit" id="btn-identify" class="btn btn-success btn-lg btn-block" value="Pronto"/>
                        <input type="submit" id="btn-cadastrar" class="btn btn-success btn-lg btn-block" value="Pronto"/>

                    </form>

                </div>

            </div>

            <div class="col-md-4"></div>

        </div>

    </div>

    <div class="col-xs-12 col-md-12">

        <div class="blank-150"></div>

    </div>    

</div>  



<script>



    $(document).ready(function () {

        $("#campoNome").hide();

        $("#campoSenha").hide();

        $("#campoSenha2").hide();

        $("#campoTermo").hide();

        $("#email-invalido").hide();

    });


    $(function () {
        $("#btn-cadastrar").hide();
        
        $("#btn-identify").click(function () {

            //var email = $(this).val();
            var email = $("#Email").val();

            var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;

            if (!re.test(email)) {

                $("#email-invalido").show();

            } else {

                //verifica se email j� existe

                                //alert("terfsvvbc");
                                $("#btn-cadastrar").show();
                                $("#btn-identify").remove();
                                
                $.post("<?= base_url("site/validar_email") ?>", $("#frmCadastrar").serialize())

                        .done(function (e) {

                            if (e == "true")
                            {

                                //$("#btn-cadastrar").removeAttr("disabled");

                                var email = $("#Email").val();

                                url = "<?= base_url("site/entrar") ?>/" + encodeURI(email);

                                window.location.href = url;

                            } else if (e == "false") {
                                
                                 window.location.href = "https://www.imazoncursos.com.br/pagina_login";

                                

                            }



                        })

                        .fail(function (e) {

                            alert("Ocorreu um problema ao efetuar a sua solicita��o!");

                            window.location.reload();

                        })

            }

        })

    });



    $("#Nome").blur(function () {

        if(!validaNome($(this).val().trim())){

            //$(this).focus();

            $(this).val().trim();

            alert("O nome deve conter pelo menos 6 caracteres");

        }

    });



    $("#Senha").blur(function () {

        validaForm();

    });



    $("#Senha2").blur(function () {

        validaForm();

    });



    $("#termo").click(function () {

        validaForm();

    });



    function validaForm() {



        var nome, email, senha, senha2;

        nome = $("#Nome").val();

        email = $("#Email").val();

        senha = $("#Senha").val();

        senha2 = $("#Senha2").val();



        if (validaNome(nome) == true){

            $("#btn-cadastrar").removeAttr("disabled");

        }else{

            return false;

        }

        if (validaSenha(senha) == true){

            $("#btn-cadastrar").removeAttr("disabled");

        }else{

            return false;

        }

        if (validaSenha2(senha2) == true){

            $("#btn-cadastrar").removeAttr("disabled");

        }else{

            return false;

        }

        if ($("#termo").prop("checked") == true){

            $("#btn-cadastrar").removeAttr("disabled");

        }else{

            return false;

        }



    }



    function validaEmail(email) {

        var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;

        if (re.test(email)) {

            return true;

        } else {

            return false;

        }

    }



    function validaNome(nome) {

        if (nome.length >= 6) {

            return true;

        } else {

            return false;

        }

    }



    function validaSenha(senha) {

        if (senha.length >= 6) {

            return true;

        } else {

            return false;

        }

    }



    function validaSenha2(senha) {

        if (senha.length >= 6) {

            var senha_atual = document.getElementById("Senha").value;

            if (senha_atual == senha && senha_atual.length >= 6 && senha.length >= 6) {

                return true;

            } else {

                return false;

            }

        } else {

            return false;

        }







    }



</script>